Hi SvS,

I would file a bug with Felix [1] ideally with a small testcase attached.
The most likely thing is that there is some typo or other malformatting
issue. The Bundle-ClassPath is tested by the OSGi CT and Felix passes that.
So the best thing would be a small testcase to reproduce it. Then it should
be easy to fix in the Felix community.

Best regards,


[1] https://issues.apache.org/jira/browse/FELIX

On 14 October 2016 at 11:42, SvS <dumpacco...@solcon.nl> wrote:

> Hi,
> I am busy with migrate our codebase from Karaf 2.3.x to 4.0.4. In 2.3.x we
> use Equinox as framework and we want to use Felix (5.4) in 4.0.4.
> Some legacy code (bundle) with split packages use the Require-Bundle and
> Bundle-ClassPath header, but it looks like the Bundle-ClassPath is ignored.
> The specification (R6.0 $3.13.1) says the bundle classpath is searched
> after
> the require bundle class path.
> Can someone clarify this for me? Is it a bug or am I doing something wrong
> with Felix?
> Regards,
> SvS
> --
> View this message in context: http://karaf.922171.n3.nabble.
> com/Bundle-with-Require-Bundle-did-not-use-Bundle-
> ClassPath-in-Felix-tp4048362.html
> Sent from the Karaf - User mailing list archive at Nabble.com.

Reply via email to